{
  "db_name": "PostgreSQL",
  "query": "select\n                agent_id,\n                version,\n                status,\n                instructions_json,\n                tool_selection_policy_json,\n                created_at as \"created_at!: time::OffsetDateTime\"\n             from agent_versions\n             where agent_id = $1 and version = $2",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "agent_id",
        "type_info": "Text"
      },
      {
        "ordinal": 1,
        "name": "version",
        "type_info": "Int4"
      },
      {
        "ordinal": 2,
        "name": "status",
        "type_info": "Text"
      },
      {
        "ordinal": 3,
        "name": "instructions_json",
        "type_info": "Jsonb"
      },
      {
        "ordinal": 4,
        "name": "tool_selection_policy_json",
        "type_info": "Jsonb"
      },
      {
        "ordinal": 5,
        "name": "created_at!: time::OffsetDateTime",
        "type_info": "Timestamptz"
      }
    ],
    "parameters": {
      "Left": [
        "Text",
        "Int4"
      ]
    },
    "nullable": [
      false,
      false,
      false,
      false,
      false,
      false
    ]
  },
  "hash": "1912ca7a4b00fcc5c1a7fe5434b811977fbdf181436573fa96415ccfcb5fecb2"
}
